Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emfforms.internal.swt.core.di.extension
Class EMFFormsDIExtensionRendererFactory_PTest

    java.lang.Object
      org.eclipse.emfforms.internal.swt.core.di.extension.EMFFormsDIExtensionRendererFactory_PTest

    public class EMFFormsDIExtensionRendererFactory_PTest

extends Object

JUnit plugin test for `EMFFormsDIExtensionRendererFactory`.

Author:
  Lucas Koehler

Constructor Summary
`EMFFormsDIExtensionRendererFactory_PTest()`

Method Summary
`void` | `setUp()` Gets a `EMFFormsDIExtensionRendererFactory` and creates a `DefaultRealm` for every test case.
`void` | `tearDown()` Clean up.
`void` | `testGetRendererInstance()` Test method for `EMFFormsDIRendererFactory.getRendererInstance(org.eclipse.emf.ecp.view.spi.model.VElement, org.eclipse.emf.ecp.view.spi.context.ViewModelContext)` .
`void` | `testIsApplicable()` Test method for `EMFFormsDIRendererFactory.isApplicable(org.eclipse.emf.ecp.view.spi.model.VElement, org.eclipse.emf.ecp.view.spi.context.ViewModelContext)` .

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EMFFormsDIExtensionRendererFactory_PTest

    public EMFFormsDIExtensionRendererFactory_PTest()

Method Detail

### setUp

    public void setUp()
               throws org.osgi.framework.InvalidSyntaxException

  Gets a `EMFFormsDIExtensionRendererFactory` and creates a `DefaultRealm` for every test case.

  Throws:
    `org.osgi.framework.InvalidSyntaxException` - does not happen because no actual filter is used

### tearDown

    public void tearDown()

  Clean up.

### testIsApplicable

    public void testIsApplicable()

  Test method for `EMFFormsDIRendererFactory.isApplicable(org.eclipse.emf.ecp.view.spi.model.VElement, org.eclipse.emf.ecp.view.spi.context.ViewModelContext)` .

### testGetRendererInstance

    public void testGetRendererInstance()

  Test method for `EMFFormsDIRendererFactory.getRendererInstance(org.eclipse.emf.ecp.view.spi.model.VElement, org.eclipse.emf.ecp.view.spi.context.ViewModelContext)` .

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.